 * -------------------------------------------------------------- ;
 * --- DIAGNOSIS AND PROCEDURE MACROS FOR PQI MODULE ICD-9  ----- ;
 * -------------------------------------------------------------- ;
 *              >>> AHRQ QI ICD-09 VERSION 6.0.2 <<<
 *                >>> VERSION DATE JULY 2017 <<<
*---------------------------------------------------------------- ;

*DESCRIPTION: Assigns diagnosis and procedure macros called by other SAS programs
              The user does not need to open.;

 /*Macro to compare all discharge diagnosis codes against format.*/
 %MACRO MDX(FMT);

 (%DO I = 1 %TO &NDX.-1;
  (put(DX&I.,&FMT.) = '1') or
  %END;
  (put(DX&NDX.,&FMT.) = '1'))

 %MEND;

  /*Macro to compare discharge primary diagnosis code against format.*/
 %MACRO MDX1(FMT);

 ((put(DX1,&FMT.) = '1'))

 %MEND;

  /*Macro to compare discharge secondary diagnosis codes against format.*/
 %MACRO MDX2(FMT);

 (%DO I = 2 %TO &NDX.-1;
  (put(DX&I.,&FMT.) = '1') or
  %END;
  (put(DX&NDX.,&FMT.) = '1'))

 %MEND;

   /*Macro to compare all discharge procedure codes against format.*/
 %MACRO MPR(FMT);

 (%DO I = 1 %TO &NPR.-1;
  (put(PR&I.,&FMT.) = '1') or
  %END;
  (put(PR&NPR.,&FMT.) = '1'))

 %MEND;
